searchNodes=[{"doc":"An Elixir module for handling ShortUUIDs. This module provides functions to encode and decode between regular UUIDs and ShortUUIDs. It can be especially useful when you want to use UUIDs, but you need them to be shorter. For example, you can use ShortUUIDs in URL shorteners or for a more user-friendly representation of UUIDs. Inspired by bitcoin . Examples iex&gt; ShortUUID . encode ( &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot; ) { :ok , &quot;DTEETeS5R2XxjrVTZxXoJS&quot; } iex&gt; ShortUUID . decode ( &quot;DTEETeS5R2XxjrVTZxXoJS&quot; ) { :ok , &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot; }","ref":"ShortUUID.html","title":"ShortUUID","type":"module"},{"doc":"Decodes the given ShortUUID back into a UUID. The function returns a tuple {:ok, uuid} if decoding is successful. In case of invalid input ShortUUID, the function returns {:error, :invalid_uuid} . Examples iex&gt; ShortUUID . decode ( &quot;DTEETeS5R2XxjrVTZxXoJS&quot; ) { :ok , &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot; } iex&gt; ShortUUID . decode ( &quot;DTEETeS5R2XxjrVTZxXoJS123&quot; ) { :error , :invalid_uuid } iex&gt; ShortUUID . decode ( &quot;InvalidShortUUID&quot; ) { :error , :invalid_uuid }","ref":"ShortUUID.html#decode/1","title":"ShortUUID.decode/1","type":"function"},{"doc":"Decodes the given ShortUUID back into a UUID. This function works similarly to decode/1 , but instead of returning an error tuple, it raises ArgumentError in case of an invalid ShortUUID. Examples iex&gt; ShortUUID . decode! ( &quot;DTEETeS5R2XxjrVTZxXoJS&quot; ) &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot;","ref":"ShortUUID.html#decode!/1","title":"ShortUUID.decode!/1","type":"function"},{"doc":"Encodes the given UUID into a ShortUUID. The function returns a tuple {:ok, short_uuid} if encoding is successful. In case of invalid input UUID, the function returns {:error, :invalid_uuid} . Examples iex&gt; ShortUUID . encode ( &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot; ) { :ok , &quot;DTEETeS5R2XxjrVTZxXoJS&quot; } iex&gt; ShortUUID . encode ( &quot;invalid-uuid-here&quot; ) { :error , :invalid_uuid }","ref":"ShortUUID.html#encode/1","title":"ShortUUID.encode/1","type":"function"},{"doc":"Encodes the given UUID into a ShortUUID. This function works similarly to encode/1 , but instead of returning an error tuple, it raises ArgumentError in case of an invalid UUID. Examples iex&gt; ShortUUID . encode! ( &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot; ) &quot;DTEETeS5R2XxjrVTZxXoJS&quot;","ref":"ShortUUID.html#encode!/1","title":"ShortUUID.encode!/1","type":"function"},{"doc":"A short UUID is a more compact string representation of a UUID. It encodes the exact same information but uses a larger character set. This results in a shorter string for the same information.","ref":"ShortUUID.html#t:short_uuid/0","title":"ShortUUID.short_uuid/0","type":"type"},{"doc":"A UUID (Universally Unique Identifier) is a 128-bit number used to uniquely identify some object or entity on the internet. In its canonical form, a UUID is represented by 32 lowercase hexadecimal digits, displayed in five groups separated by hyphens, in the form 8-4-4-4-12 for a total of 36 characters (32 alphanumeric characters and 4 hyphens).","ref":"ShortUUID.html#t:uuid/0","title":"ShortUUID.uuid/0","type":"type"},{"doc":"","ref":"ShortUUID.Guards.html","title":"ShortUUID.Guards","type":"module"},{"doc":"Checks if the input is a valid UUID string.","ref":"ShortUUID.Guards.html#is_uuid/1","title":"ShortUUID.Guards.is_uuid/1","type":"macro"},{"doc":"An Elixir module for handling ShortUUIDs. This module provides functions to encode and decode between regular UUIDs and ShortUUIDs. It can be especially useful when you want to use UUIDs, but you need them to be shorter. For example, you can use ShortUUIDs in URL shorteners or for a more user-friendly representation of UUIDs. Inspired by bitcoin .","ref":"readme.html","title":"ShortUUID","type":"extras"},{"doc":"iex&gt; ShortUUID . encode ( &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot; ) { :ok , &quot;DTEETeS5R2XxjrVTZxXoJS&quot; } iex&gt; ShortUUID . decode ( &quot;DTEETeS5R2XxjrVTZxXoJS&quot; ) { :ok , &quot;64d7280f-736a-4ffa-b9c0-383f43486d0b&quot; }","ref":"readme.html#examples","title":"ShortUUID - Examples","type":"extras"},{"doc":"Add short_uuid to your list of dependencies in mix.exs : def deps do [ { :short_uuid , &quot;~&gt; 2.1.0&quot; } ] end","ref":"readme.html#installation","title":"ShortUUID - Installation","type":"extras"},{"doc":"MIT","ref":"readme.html#license","title":"ShortUUID - License","type":"extras"},{"doc":"MIT License Copyright (c) 2020-2021 YodelTalk Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]